Skip to main content
POST
/
v1
/
exports
Enqueue a workspace export
curl --request POST \
  --url https://api.notion.com/admin/v1/exports \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Notion-Version: <notion-version>' \
  --data '
{
  "on_behalf_of_user_email": "<string>",
  "space_id": "<string>",
  "flatten_export_filetree": true,
  "include_comments": true,
  "locale": "<string>",
  "teamspace_ids": [
    "<string>"
  ],
  "time_zone": "<string>"
}
'
import requests

url = "https://api.notion.com/admin/v1/exports"

payload = {
"on_behalf_of_user_email": "<string>",
"space_id": "<string>",
"flatten_export_filetree": True,
"include_comments": True,
"locale": "<string>",
"teamspace_ids": ["<string>"],
"time_zone": "<string>"
}
headers = {
"Notion-Version": "<notion-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'Notion-Version': '<notion-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
on_behalf_of_user_email: '<string>',
space_id: '<string>',
flatten_export_filetree: true,
include_comments: true,
locale: '<string>',
teamspace_ids: ['<string>'],
time_zone: '<string>'
})
};

fetch('https://api.notion.com/admin/v1/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "<string>",
  "task_id": "<string>"
}
{
"type": "error",
"code": "validation_error",
"status": 400,
"message": "The request body is invalid."
}
{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "Unauthorized."
}
{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Forbidden."
}
{
"type": "error",
"code": "not_found",
"status": 404,
"message": "Not found."
}
{
"type": "error",
"code": "rate_limited",
"status": 429,
"message": "Rate limited."
}
{
"type": "error",
"code": "internal_server_error",
"status": 500,
"message": "An unexpected error occurred."
}
The organization bot token must have the following scopes:
  • workspace:export

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The Admin API version to use for this request.

Available options:
2026-06-01

Body

application/json
export_type
enum<string>
required
Available options:
html,
markdown,
pdf
on_behalf_of_user_email
string
required
space_id
string
required
collection_view_export_type
enum<string>
Available options:
all,
currentView
flatten_export_filetree
boolean
include_comments
boolean
include_contents
enum<string>
Available options:
everything,
no_files
locale
string
pdf_format
enum<string>
Available options:
A3,
A4,
Legal,
Letter,
Tabloid
teamspace_ids
string[]
time_zone
string

Response

status
string
required
task_id
string
required